// Upgrade NOTE: replaced 'SeperateSpecular' with 'SeparateSpecular'

Shader "Vertex Colored Transparent"  {
Properties {
    _Color ("Main Color", Color) = (1,1,1,1)
    _MainTex ("Base (RGB)", 2D) = "white" {}
}

SubShader {
    Tags { "Queue" = "Geometry" }
    Pass {    
       	ColorMaterial AmbientAndDiffuse
        Lighting Off
        SeparateSpecular On            
        //Blend One One
        //ZWrite Off
        Cull Off  
        //ZTest LEqual
        SetTexture [_MainTex] {
            Combine texture * primary, texture * primary
        }
        SetTexture [_MainTex] {
            constantColor [_Color]
            Combine previous * constant DOUBLE, previous * constant
        }
    }
}

Fallback " VertexLit", 1
}