using UnityEngine;
using System.Collections.Generic;

sealed public 	class DrawColorAttribute : System.Attribute {
	public readonly Color param;
	
   public DrawColorAttribute(int r, int g, int b, float a=1.0f)  // url is a positional parameter
   {
      this.param=new Color((float)r/255.0f,(float)g/255.0f,(float)b/255.0f,a);
   }
	
}
