using UnityEngine;
using System.Collections.Generic;



public class BeamDat
{
	public Whale owner;
	public Position.Direction dir;
	public int length;
	public int oldvisiblelength;
	public Entity oldblocker;
	public int visiblelength;
	public Entity blocker;
	
	public BeamDat(Whale owner, Position.Direction dir)
	{
		this.owner=owner;
		this.dir=dir;
	}
	
	public Position end {
		get {
			return owner.pos+(length-1)*dir.ToPosition();
		}
	}
	public Position visibleend {
		get {
			return owner.pos+(visiblelength-1)*dir.ToPosition();
		}
	}
	
	public bool ContainsPos(Position p)
	{
		if (p.x!=owner.pos.x && p.y!=owner.pos.y)
			return false;
		
		Position dp = dir.ToPosition();
		for (int i=0;i<length;i++)
		{
			Position cand = owner.pos+i*dp;
			if (cand==p)
				return true;
		}
		return false;
	}
}
